<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- personal-044 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url(images/00_29.jpg);">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/00_29.jpg);">
  <tr>
    <td valign="top" style="padding: 40px;">
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td width="8" align="left"><img src="images/00_03.jpg" width="8" height="50" /></td>
      <td colspan="2" align="center" valign="bottom">
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="50" align="center" valign="bottom" style="background-image: url(images/00_04.jpg);
	background-repeat: repeat-x;">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
		  </td>
        </tr>
      </table>
	  </td>
      <td width="5" align="right"><img src="images/00_06.jpg" width="5" height="50" /></td>
    </tr>
    <tr>
      <td align="left" valign="top" width="8"><img src="images/00_08.jpg" width="8" height="199" /></td>
      <td width="192" align="center" style="background-image: url(images/00_09.jpg);
	background-repeat: no-repeat;
	background-position: right;">
<!-- LOGO -->
						<table width="190" align="center" cellpadding="0" cellspacing="0">
							<tr><td height="50" align="center" style="padding: 5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
							</tr>
							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
</table>
<!-- END LOGO -->
	</td>
      <td width="100%" align="left" valign="top" background="images/00_10.jpg" ><table width="100%" height="199"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="131" valign="top" style="background-image: url(images/header.jpg); background-repeat: no-repeat;
	background-position: right;padding-top:0px;
	padding-right: 20px;
	padding-left: 20px;">
<table border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="43" valign="bottom" style="padding-left: 16px; padding-bottom: 0px; " background="images/sol.gif" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        </tr>
      </table>
		  
		  </td>
        </tr>
      </table></td>
      <td width="5"><img src="images/00_13.jpg" width="5" height="199"/></td>
    </tr>
    <tr>
      <td></td>
      <td align="right" valign="top" style="background-image: url(images/00_19.jpg);
	background-repeat: repeat-y;
	background-position: right;"><table width="190" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="images/spacer.gif" width="190" height="20" /></td>
        </tr>
      </table>
	<!-- MENU -->
        <table width="170" border="0" cellspacing="0" cellpadding="0">    
		 <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
        </table>
	<!-- END MENU -->
		</td>
      <td align="left" width="100%" height="100%" valign="top" style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/dot.gif" width="20" height="20" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
    <!-- END CONTENT --></td>
      <td></td>
    </tr>
    <tr>
      <td><img src="images/00_20.jpg" width="8" height="5" /></td>
      <td align="right" background="images/00_21.jpg"><img src="images/00_22.jpg" width="53" height="5" /></td>
      <td background="images/00_21.jpg"></td>
      <td width="5" align="left"><img src="images/00_26.jpg" width="5" height="5" /></td>
    </tr>
    <tr>
      <td></td>
      <td height="40" align="center" style="background-image: url(images/00_19.jpg);
	background-repeat: repeat-y;
	background-position: right; padding: 10px;">
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
	</td>
      <td style="padding: 25px;">
<!-- BOOTTOM MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>    
		<xsl:call-template name="BOTTOM-MENU"/>  
        </tr>
      </table>
<!-- END BOOTTOM MENU -->  
	  </td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td align="right"><img src="images/00_32.jpg" width="57" height="6" /></td>
      <td></td>
      <td></td>
    </tr>
  </table>

</center>
	
	</td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	    <tr>
            <td width="15" height="20"><img src="images/dot_left.gif" width="12" height="7" /></td>
            <td width="151" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	    <tr>
            <td width="15" height="20"><img src="images/dot_left.gif" width="12" height="7" /></td>
            <td width="151" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
   <tr align="right">
            <td height="7" colspan="2"><img src="images/sub.gif" width="178" height="7" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			  <td width="20" align="center"><img src="images/bot_dot.gif" width="5" height="5" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
