<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- vap-33 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="100%" valign="top" background="images/002.gif" style="background-position:top ;background-repeat:repeat-x;"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
      <tr>
        <td valign="top" height="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
          <tr>
            <td height="100%" valign="top" background="images/header.gif" style="background-position:top right;background-repeat:no-repeat;"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
              <tr>
                <td height="245" style="padding-left:30px;"><!-- LOGO --><table width="220" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="50" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                    <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                  <tr>
                    <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
                </table><!-- END LOGO --></td>
                </tr>
              <tr>
                <td valign="top" background="images/003.gif" height="100%"> <table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
                  <tr>
                    <td valign="top" background="images/004_9.gif" style="background-position:top right;background-repeat:repeat-y;" height="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
                      <tr>
                        <td width="13" valign="top"><img src="images/004.gif" width="13" height="13"/></td>
                        <td width="197" height="13" valign="top"><img src="images/004_2.gif" width="197" height="13"/></td>
                        <td bgcolor="#FFFFFF"></td>
                        <td width="42" valign="top"><img src="images/004_3.gif" width="42" height="13"/></td>
                      </tr>
                      <tr>
                        <td background="images/004_1.gif" style="background-position:top ;background-repeat:no-repeat;"></td>
                        <td width="197" valign="top" background="images/004_7.gif"><table width="197" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td valign="top" background="images/005.gif"><!-- MENU -->
                                <table width="197" border="0" cellspacing="0" cellpadding="0" background="images/004_8.gif" style="background-position:top ;background-repeat:no-repeat;">
								
								
                                  <xsl:call-template name="TOP-MENU"/>
								 
								   
                              </table><!-- END MENU --></td>
                            </tr>
                            <tr>
                              <td valign="top" style="padding-top:25px;padding-bottom:30px;">
							  
							  <!-- SUBMENU -->
							  <table width="167" border="0" cellspacing="0" cellpadding="0">
                                  <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                              </table><!-- END SUBMENU --></td>
                            </tr>
                        </table></td>
                        <td valign="top" bgcolor="#FFFFFF" style="padding:20px;">
						<!-- CONTENT -->
						<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                          <tr>
                            <td><table  border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                  <td><img src="images/008.gif" width="20" height="21"/></td>
                                </tr>
                              </table>
                                <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                          </tr>
                        </table><!-- END CONTENT --></td>
                        <td width="42" background="images/004_4.gif" style="background-position:top;background-repeat:no-repeat;"></td>
                      </tr>
                      <tr>
                        <td></td>
                        <td valign="top"><img src="images/004_6.gif" width="197" height="25"/></td>
                        <td bgcolor="#FFFFFF"></td>
                        <td valign="top" height="25"><img src="images/004_5.gif" width="42" height="25"/></td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
                </tr>
              <tr>
                <td background="images/003.gif" style="padding:20px;"><table width="100%" border="0" cellspacing="0" cellpadding="5">
                  <tr>
                    <td><!-- BOTTOM MENU --><table border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                       <xsl:call-template name="BOTTOM-MENU"/>
                      </tr>
                    </table><!-- END BOTTOM MENU --></td>
                  </tr>
                  <tr>
                    <td><!-- FOOTER --><table border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                      </tr>
                    </table><!-- END FOOTER --></td>
                  </tr>
                </table></td>
                </tr>
              
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


 <tr>
<td width="21"><img src="images/007.gif" width="21" height="8"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td width="21"><img src="images/007.gif"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="15" colspan="2"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

<td><div align="center"><a href='{@HREF}'  class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}'  class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="19" background="images/009.gif" style="background-position:center;background-repeat:repeat-y;"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
