<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
       	<td><div style="width:13px; height:0px;"><spacer/></div></td>
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            	<td class="menuitemactive3"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
            	<td class="menuitem3"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
           	<td class="menudivider3"><div style="width:22px; height:0px;"><spacer/></div></td>
        </xsl:if>
	</xsl:template>

	
	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
            	<table cellpadding="0" cellspacing="0" border="0" width="100%">
            	<tr>
            	<td class="secondmenumark"><img src="images/2ndmenu_mark.gif" width="18" height="13" border="0" alt=""/></td>
            	<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            	</tr>
            	</table>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                 	<table cellpadding="0" cellspacing="0" border="0" width="100%">
                 	<tr>
                 	<td class="secondmenumark"><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="18" height="13" border="0" alt=""/></a></td>
                 	<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                 	</tr>
                 	</table>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
