﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xbs-07 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="179" align="left" valign="top" background="images/top02.jpg">
	<table width="100%" height="100%" style="background-image: url(images/top01.jpg);background-repeat: no-repeat;background-position: left top;" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="100%" align="left" valign="top" style="background-image: url(images/top03.jpg);background-repeat: no-repeat;background-position: right top;" border="0">
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
						        <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
						        <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
							</tr>
						</table>
					</td>
				</tr>
			    <tr>
					<td height="100%">
						<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
				              <tr>
				                <td height="33" colspan="3"><img src="images/space.gif" width="90" height="33" /></td>
				              </tr>
				              <tr>
				                <td width="90"><img src="images/space.gif" width="90" height="30" /></td>
				              <td width="100%" align="center"><table  border="0" cellpadding="0" cellspacing="0">
				                <tr>
				                  <xsl:call-template name="TOP-MENU"/>
				                </tr>
				              </table></td>
				                <td width="130"><img src="images/space.gif" width="130" height="30" /></td>
				              </tr>
				            </table>
					</td>
				</tr>
			</table>
</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="181" align="left" valign="top" background="images/headerbg.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="526" align="left" valign="top"><img src="images/header.jpg" width="526" height="181" /></td>
        <td width="100%"></td>
        <td width="314" align="right" valign="top"><img src="images/header02.jpg" width="314" height="181" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td align="left" valign="top" bgcolor="#000000" border="0" style="background-image: url(images/left02.jpg);background-repeat: repeat-y;background-position: left top;">
	  <table width="100%" height="100%" style="background-image: url(images/right02.jpg);background-repeat: repeat-y;background-position: right top;"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="100%" height="100%" align="left" valign="top" style="background-image: url(images/left01.jpg);background-repeat: no-repeat;background-position: left top;">
		  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="130" rowspan="2" align="left" valign="top"><img src="images/space.gif" width="130" height="10" /></td>
              <td width="100%" height="28" align="left" valign="bottom" class="text-header"><table  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td class="text-header" style="padding-top:4px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td style="padding-left:6px;"><img src="images/text_icon.gif" width="17" height="17" /></td>
                </tr>
              </table></td>
            </tr>
            <tr>
              <td height="100%" align="left" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
            </tr>
          </table></td>
        <td width="285" align="left" valign="top" style="background-image: url(images/right01.jpg);background-repeat: no-repeat;background-position: right top;"><img src="images/space.gif" width="285" height="28" />
          <table width="85%"  border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table></td>
        </tr>
      </table></td>
  </tr>
  <tr>
    <td height="151" align="left" valign="top" background="images/bottom.jpg">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/left03.jpg);background-repeat: no-repeat;background-position: left top;">
      <tr>
        <td height="100%" align="left" valign="top" style="background-image: url(images/right03.jpg);background-repeat: no-repeat;background-position: right top;">
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="90" colspan="2"><img src="images/space.gif" width="10" height="90" /></td>
          </tr>
          <tr>
            <td width="380" height="100%"><img src="images/space.gif" width="380" height="10" /></td>
          <td width="100%" align="center" valign="top">
		  <table  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <xsl:call-template name="BOTTOM-MENU"/>
              <td><img src="images/space.gif" width="60" height="10" /></td>
            </tr>
          </table></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="smenu"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="smenu">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
 <td align="left"><img src="images/subline.jpg" width="239" height="20" /></td>
    </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td class="bmenu"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenub" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		 <td><img src="images/space.gif" width="20" height="10" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
